###################################################
### chunk number 1: preliminaries
###################################################
#line 19 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
library(latticist)
ltheme <- custom.theme.2()
ltheme$strip.background$col <- grey(7:1 / 8)
ltheme$strip.shingle$col <- grey(6:0 / 8)
lattice.options(default.theme = ltheme)
ps.options(pointsize = 12)
options(width = 45, continue = " ")
source("common.R")
## set up data object
library(DAAG)
## coerce numeric 0/1 to factor (happens in latticist())
frogs$pres.abs <- factor(frogs$pres.abs)
dat <- frogs
datArg <- quote(frogs)
## persistent variables
spec <- list()
plotCalls <- list()
plotNum <- 0


###################################################
### chunk number 2:  eval=FALSE
###################################################
## #line 72 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
##   spec <- list()
##   latticist(frogs, spec = spec)


###################################################
### chunk number 3: 
###################################################
#line 76 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 4: 
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 5: 
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec <- list(varSubset = c("altitude", "distance",  "NoOfPools",
           "NoOfSites", "avrain", "meanmin", "meanmax"),
               defaultPlot = "splom")


###################################################
### chunk number 6: 
###################################################
#line 98 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 7: 
###################################################
#line 105 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 8: 
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec$groups <- "altitude"
  spec$defaultPlot <- "parallel"


###################################################
### chunk number 9: 
###################################################
#line 119 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 10: 
###################################################
#line 126 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 11: 
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec$yvar <- "northing"
  spec$xvar <- "easting"


###################################################
### chunk number 12: 
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 13: 
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 14: 
###################################################
#line 157 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec$aspect <- "iso"
  spec$doLines <- FALSE


###################################################
### chunk number 15: 
###################################################
#line 161 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 16: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 17: 
###################################################
#line 178 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec$groups <- "pres.abs"


###################################################
### chunk number 18: 
###################################################
#line 181 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 19: 
###################################################
#line 188 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 20: 
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  spec$zvar <- "altitude"


###################################################
### chunk number 21: 
###################################################
#line 201 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  plotNum <- plotNum + 1
  plotCalls[[plotNum]] <-
    latticistCompose(dat, spec = spec, datArg = datArg)
  writeCallAndRef(plotCalls[[plotNum]], plotNum)


###################################################
### chunk number 22: 
###################################################
#line 208 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  print(eval(plotCalls[[plotNum]]))


###################################################
### chunk number 23: 
###################################################
#line 246 "d:/Rcompile/CRANpkg/local/2.12/latticist/inst/doc/latticistFrogs.Rnw"
  writePlotCallsAppendix(plotCalls)


